/**
* 文件：MenuDaoImpl.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.menu.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.framework.model.ParamDto;
import com.mortals.xhx.base.system.menu.dao.MenuDao;
import com.mortals.xhx.base.system.menu.model.MenuEntity;

import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>Title: 菜单信息</p>
 * <p>Description: MenuDaoImpl DAO接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@Repository("menuDao")
public class MenuDaoImpl extends BaseCRUDDaoMybatis<MenuEntity,Long> implements MenuDao {


    @Override
    public List<MenuEntity> selectChildrenMenuById(String menuId) {
        return getSqlSession().selectList(getSqlId("selectChildrenMenuById"), menuId);
    }

    @Override
    public List<MenuEntity> getListByUserId(Long userId) {
        ParamDto param = new ParamDto();
        param.getCondition().put("userId", userId);
        return getSqlSession().selectList(getSqlId("getListByUserId"), param);
    }
}